package net.wanji.web.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @author duanruiming
 * @date 2023/01/29 11:18
 */
@Data
@NoArgsConstructor
public class TCrossControlHist {
    /**
     * id
     */
    @ApiModelProperty(name = "id", notes = "")
    private int id;
    /**
     * 路口编号
     */
    @ApiModelProperty(name = "路口编号", notes = "")
    private String crossId;
    /**
     * 控制类型
     */
    @ApiModelProperty(name = "控制类型：1时间表；2全红；3黄闪；4锁定；5中心优化；6MEC优化；7现场手动", notes = "")
    private int type;
    /**
     * 开始时间
     */
    @ApiModelProperty(name = "开始时间", notes = "")
    private Date startTime;

    /**
     * 创建时间
     */
    @ApiModelProperty(name = "创建时间", notes = "")
    private Date gmtCreate;

    /**
     * 修改时间
     */
    @ApiModelProperty(name = "修改时间", notes = "")
    private Date gmtModified;
}
